org.apache.commons.math3.analysis

## Interface MultivariateMatrixFunction

All Known Implementing Classes:
  JacobianFunction

    public interface MultivariateMatrixFunction

An interface representing a multivariate matrix function.

Since:
  2.0
Version:
  $Id: MultivariateMatrixFunction.java 1364387 2012-07-22 18:14:11Z tn $

### Method Summary

Methods
`double[][]` `value(double[] point)` Compute the value for the function at the given point.

### Method Detail

#### value

    double[][] value(double[] point)
                     throws java.lang.IllegalArgumentException

Compute the value for the function at the given point.

Parameters:
  `point` - point at which the function must be evaluated
Returns:
  function value for the given point
Throws:
  `java.lang.IllegalArgumentException` - if points dimension is wrong